Main Menu

Unsupported Video Cards on Mac

Steam warns me that my video card is not supported and my Source games do not work. What is wrong?

Make sure your video card is supported by Source games on the Mac. If it is not you will need to upgrade your system in order to run Source games.

The following video cards are not supported on Source-powered games:

  • Intel integrated graphics such as GMA 950 and X3100
  • NVidia GeForce 7 Series (Including the nVidia Quadro FX 4500)

In order to run Source-powered games on Mac you will need to use a minimum of the following:

  • NVidia GeForce 8 Series or higher
  • ATI X1600 or higher

Warning

The ATI X1600 and X1900 are not supported on Left 4 Dead 2, Portal 2 or Counter-Strike: Global Offensive

Problem with Steam?

Contact Steam Support